Package: org.codehaus.groovy.runtime

## [Java] Class ConvertedClosure

- org.codehaus.groovy.runtime.ConvertedClosure

- All Implemented Interfaces and Traits:
    Serializable

      public class ConvertedClosure
      extends ConversionHandler
      implements Serializable

  This class is a general adapter to adapt a closure to any Java interface.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ConvertedClosure(Closure closure)` throws: IllegalArgumentException if closure is null
    `ConvertedClosure(Closure closure, String methodName)` throws: IllegalArgumentException if closure is null

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `invokeCustom(Object proxy, Method method, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ConversionHandler` | `checkMethod, equals, getDelegate, hashCode, invoke, invokeCustom, isCoreObjectMethod, isDefaultMethod, toString`

- - ### Constructor Detail

    - #### public ConvertedClosure(Closure closure)

      throws:
        IllegalArgumentException if closure is null

    - #### public ConvertedClosure(Closure closure, String methodName)

      throws:
        IllegalArgumentException if closure is null

  - ### Method Detail

    - #### @Override
      public Object invokeCustom(Object proxy, Method method, Object[] args)